package jp.co.headwaters.webappos.cache.bean;

import com.fasterxml.jackson.annotation.JsonProperty;

public class ConditionBean {

	@JsonProperty("table")
	private String tableName;
	@JsonProperty("col")
	private String columnName;
	@JsonProperty("ope")
	private String operator;
	@JsonProperty("opt")
	private String option;
	@JsonProperty("name")
	private String paramName;
	@JsonProperty("value")
	private String paramValue;

	public String getTableName() {
		return tableName;
	}
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public String getOperator() {
		return operator;
	}
	public void setOperator(String operator) {
		this.operator = operator;
	}
	public String getOption() {
		return option;
	}
	public void setOption(String option) {
		this.option = option;
	}
	public String getParamName() {
		return paramName;
	}
	public void setParamName(String paramName) {
		this.paramName = paramName;
	}
	public String getParamValue() {
		return paramValue;
	}
	public void setParamValue(String paramValue) {
		this.paramValue = paramValue;
	}
}
